package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 货主转换入库
 * 
 * @author Xiong
 *
 */
@ApiModel
public class CargoChangeIn implements Serializable {

	private static final long serialVersionUID = -6621569678993054864L;
	// 采购订单id
	@ApiModelProperty(value = "采购订单id",required = true)
	private String poBillId;
	// 采购订单编号
	@ApiModelProperty(value = "采购订单编号",required = true)
	private String poBillNo;
	// 仓库id(暂时和仓库编码一致,需要根据编码找到仓库id)
	@ApiModelProperty(value = "仓库id(暂时和仓库编码一致,需要根据编码找到仓库id)",required = true)
	private String warehouseId;
	// 仓库编码
	@ApiModelProperty(value = "仓库编码")
	private String warehouseCode;
	// 仓库名称
	@ApiModelProperty(value = "仓库名称")
	private String warehouseName;
	// 货主id(暂时和code一样,需要转)
	@ApiModelProperty(value = "货主id(暂时和code一样,需要转)",required = true)
	private String destCargoOwnerId;
	// 货主编码(需要获取)
	@ApiModelProperty(value = "货主编码(需要获取)")
	private String destCargoOwnerCode;
	// 货主名称
	@ApiModelProperty(value = "货主名称")
	private String destCargoOwnerName;
	// 关联单id(来源)
	@ApiModelProperty(value = "关联单id(来源)")
	private String refBillId;
	// 关联单编号
	@ApiModelProperty(value = "关联单编号")
	private String refBillNo;
	// 关联单备注
	@ApiModelProperty(value = "关联单备注")
	private String refBillRemark;
	// 关联单状态 (1未转/2待转/3完成/4取消/5错误)
	@ApiModelProperty(value = "关联单状态 (1未转/2待转/3完成/4取消/5错误)")
	private String refBillStatus;
	// 关联单数据来源 (WMS/ERP)
	@ApiModelProperty(value = " 关联单数据来源 (WMS/ERP)")
	private String sourceType;
	// 商品明细集合
	@ApiModelProperty(value = " 商品明细集合")
	private List<CargoChangeInDetails> details;
	// 关联单额外字段1
	@ApiModelProperty(value = " 关联单额外字段1")
	private String refBillAttr1;
	// 关联单额外字段2
	@ApiModelProperty(value = " 关联单额外字段2")
	private String refBillAttr2;

	public String getRefBillAttr1() {
		return refBillAttr1;
	}

	public void setRefBillAttr1(String refBillAttr1) {
		this.refBillAttr1 = refBillAttr1;
	}

	public String getRefBillAttr2() {
		return refBillAttr2;
	}

	public void setRefBillAttr2(String refBillAttr2) {
		this.refBillAttr2 = refBillAttr2;
	}

	public String getSourceType() {
		return sourceType;
	}

	public void setSourceType(String sourceType) {
		this.sourceType = sourceType;
	}

	public String getPoBillId() {
		return poBillId;
	}

	public void setPoBillId(String poBillId) {
		this.poBillId = poBillId;
	}

	public String getPoBillNo() {
		return poBillNo;
	}

	public void setPoBillNo(String poBillNo) {
		this.poBillNo = poBillNo;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getWarehouseCode() {
		return warehouseCode;
	}

	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getDestCargoOwnerId() {
		return destCargoOwnerId;
	}

	public void setDestCargoOwnerId(String destCargoOwnerId) {
		this.destCargoOwnerId = destCargoOwnerId;
	}

	public String getDestCargoOwnerCode() {
		return destCargoOwnerCode;
	}

	public void setDestCargoOwnerCode(String destCargoOwnerCode) {
		this.destCargoOwnerCode = destCargoOwnerCode;
	}

	public String getDestCargoOwnerName() {
		return destCargoOwnerName;
	}

	public void setDestCargoOwnerName(String destCargoOwnerName) {
		this.destCargoOwnerName = destCargoOwnerName;
	}

	public String getRefBillId() {
		return refBillId;
	}

	public void setRefBillId(String refBillId) {
		this.refBillId = refBillId;
	}

	public String getRefBillNo() {
		return refBillNo;
	}

	public void setRefBillNo(String refBillNo) {
		this.refBillNo = refBillNo;
	}

	public String getRefBillRemark() {
		return refBillRemark;
	}

	public void setRefBillRemark(String refBillRemark) {
		this.refBillRemark = refBillRemark;
	}

	public String getRefBillStatus() {
		return refBillStatus;
	}

	public void setRefBillStatus(String refBillStatus) {
		this.refBillStatus = refBillStatus;
	}

	public List<CargoChangeInDetails> getDetails() {
		return details;
	}

	public void setDetails(List<CargoChangeInDetails> details) {
		this.details = details;
	}

}
